/*
 * Copyright (C) 2022, KylinSoft Co., Ltd.

 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Library General Public License as
 * published by the Free Software Foundation; either version 2, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

#include "icontheme.h"

IconTheme::IconTheme(QQuickPaintedItem *parent)
    : QQuickPaintedItem(parent)
{

}

void IconTheme::setIcon(const QIcon &icon)
{
    m_icon = icon;
}

void IconTheme::setIconName(const QString &iconName)
{
    if(!QIcon::hasThemeIcon(iconName))
    {
        qWarning() << "未找到名为 " << iconName << " 的图标!";
        return;
    }
    m_icon = QIcon::fromTheme(iconName, m_icon);
}

void IconTheme::paint(QPainter *painter)
{
    if(m_icon.isNull()) return;
    m_icon.paint(painter, boundingRect().toRect());
}
